## org.eclipse.jst.jsf.core.jsfappconfig
Class JSFAppConfigManager

    java.lang.Object
      org.eclipse.jst.jsf.common.internal.managedobject.AbstractManagedObject
          org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager
              org.eclipse.jst.jsf.core.jsfappconfig.JSFAppConfigManager

All Implemented Interfaces:
  org.eclipse.jst.jsf.common.internal.managedobject.IManagedObject, org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager

Deprecated. - Helios

    public class JSFAppConfigManager

extends org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager

Default JSF AppConfig Manager

Mostly represents a merged representation of the Faces Configuration that the runtime would see

Field Summary
`static QualifiedName` `KEY_SESSIONPROPERTY` Deprecated. UNUSED - here only for compatibility with original

Method Summary
`java.util.List` `getApplications()` Deprecated. Gets list of all ApplicationType instances from all known faces-config models; list may be empty.
`java.util.List` `getComponents()` Deprecated. Gets list of all ComponentType instances from all known faces-config models; list may be empty.
`java.util.List` `getConverters()` Deprecated. Gets list of all ConverterType instances from all known faces-config models; list may be empty.
`java.util.List` `getFacesConfigExtensions()` Deprecated.
`java.util.List` `getFacesConfigModels()` Deprecated. - SHOULD NOT USE
`java.util.List` `getFactories()` Deprecated. Gets list of all FactoryType instances from all known faces-config models; list may be empty.
`static JSFAppConfigManager` `getInstance(IProject project)` Deprecated.
`java.util.Set` `getJSFAppConfigProviders()` Deprecated. - SHOULD NOT USE
`java.util.List` `getLifecycles()` Deprecated. Gets list of all LifecycleType instances from all known faces-config models; list may be empty.
`java.util.List` `getManagedBeans()` Deprecated. Gets list of all ManagedBeanType instances from all known faces-config models; list may be empty.
`java.util.List` `getNavigationRules()` Deprecated. Gets list of all NavigationRuleType instances from all known faces-config models; list may be empty.
`java.util.List` `getNavigationRulesForPage(IFile pageFile)` Deprecated. Gets list of all NavigationRuleType instances from all known faces-config models where the navigation-rule's from-view-id value matches the web content folder-relative value of the passed IFile instance; list may be empty.
`java.util.List` `getReferencedBeans()` Deprecated. Gets list of all ReferencedBeanType instances from all known faces-config models; list may be empty.
`java.util.List` `getRenderKits()` Deprecated. Gets list of all RenderKitType instances from all known faces-config models; list may be empty.
`java.util.List` `getResourceBundles()` Deprecated.
`java.util.List` `getValidators()` Deprecated. Gets list of all ValidatorType instances from all known faces-config models; list may be empty.

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager
`addFacesConfigChangeAdapter, addFacesConfigChangeListener, addJSFAppConfigProvidersChangeListener, checkpoint, destroy, dispose, getBehaviors, getProject, getPropertyResolvers, getVariableResolvers, notifyFacesConfigChangeListeners, notifyJSFAppConfigProvidersChangeListeners, removeFacesConfigChangeAdapter, removeFacesConfigChangeListener, removeJSFAppConfigProvidersChangeListener`

Methods inherited from class org.eclipse.jst.jsf.common.internal.managedobject.AbstractManagedObject
`isDisposed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.common.internal.managedobject.IManagedObject
`isDisposed`

Field Detail

### KEY_SESSIONPROPERTY

    public static final QualifiedName KEY_SESSIONPROPERTY

  Deprecated.
  UNUSED - here only for compatibility with original

Method Detail

### getInstance

    public static JSFAppConfigManager getInstance(IProject project)

  Deprecated.

  Parameters:
    `project` -
  Returns:
    JSFAppConfigManager

### getJSFAppConfigProviders

    public java.util.Set getJSFAppConfigProviders()

  Deprecated. - SHOULD NOT USE

  Overrides:
    `getJSFAppConfigProviders` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    Set of `IJSFAppConfigProvider`s

### getFacesConfigModels

    public java.util.List getFacesConfigModels()

  Deprecated. - SHOULD NOT USE

  Gets all `FacesConfigType` instances from all `IJSFAppConfigProvider` instances.

  Overrides:
    `getFacesConfigModels` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all `FacesConfigType` instances.

### getManagedBeans

    public java.util.List getManagedBeans()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all ManagedBeanType instances from all known faces-config models; list may be empty.

  Specified by:
    `getManagedBeans` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getManagedBeans` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all ManagedBeanType instances from all known faces-config models (list may be empty).

### getValidators

    public java.util.List getValidators()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all ValidatorType instances from all known faces-config models; list may be empty.

  Specified by:
    `getValidators` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getValidators` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all ValidatorType instances from all known faces-config models (list may be empty).

### getConverters

    public java.util.List getConverters()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all ConverterType instances from all known faces-config models; list may be empty.

  Specified by:
    `getConverters` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getConverters` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all ConverterType instances from all known faces-config models (list may be empty).

### getNavigationRules

    public java.util.List getNavigationRules()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all NavigationRuleType instances from all known faces-config models; list may be empty.

  Specified by:
    `getNavigationRules` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getNavigationRules` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all NavigationRuleType instances from all known faces-config models (list may be empty).

### getNavigationRulesForPage

    public java.util.List getNavigationRulesForPage(IFile pageFile)

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all NavigationRuleType instances from all known faces-config models where the navigation-rule's from-view-id value matches the web content folder-relative value of the passed IFile instance; list may be empty. Matching is performed in the same manner as for a JSF implementation's default NavigationHandler.

  Specified by:
    `getNavigationRulesForPage` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getNavigationRulesForPage` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Parameters:
    `pageFile` - IFile instance to match against the from-view-id value of all NavigationRuleType instances. File is assumed to be relative to the web content folder, but may be expressed in a more complete form; its path will be calculated relative to the web content folder.
  Returns:
    List of all NavigationRuleType instances from all known faces-config models where the navigation-rule's from-view-id value matches the web content folder-relative value of the passed IFile instance (list may be empty).

### getApplications

    public java.util.List getApplications()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all ApplicationType instances from all known faces-config models; list may be empty.

  Specified by:
    `getApplications` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getApplications` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all ApplicationType instances from all known faces-config models (list may be empty).

### getFactories

    public java.util.List getFactories()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all FactoryType instances from all known faces-config models; list may be empty.

  Specified by:
    `getFactories` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getFactories` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all FactoryType instances from all known faces-config models (list may be empty).

### getComponents

    public java.util.List getComponents()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all ComponentType instances from all known faces-config models; list may be empty.

  Specified by:
    `getComponents` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getComponents` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all ComponentType instances from all known faces-config models (list may be empty).

### getReferencedBeans

    public java.util.List getReferencedBeans()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all ReferencedBeanType instances from all known faces-config models; list may be empty.

  Specified by:
    `getReferencedBeans` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getReferencedBeans` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all ReferencedBeanType instances from all known faces-config models (list may be empty).

### getRenderKits

    public java.util.List getRenderKits()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all RenderKitType instances from all known faces-config models; list may be empty.

  Specified by:
    `getRenderKits` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getRenderKits` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all RenderKitType instances from all known faces-config models (list may be empty).

### getLifecycles

    public java.util.List getLifecycles()

  Deprecated.
  Description copied from interface: `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Gets list of all LifecycleType instances from all known faces-config models; list may be empty.

  Specified by:
    `getLifecycles` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getLifecycles` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    List of all LifecycleType instances from all known faces-config models (list may be empty).

### getResourceBundles

    public java.util.List getResourceBundles()

  Deprecated.
  Specified by:
    `getResourceBundles` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getResourceBundles` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    the list of all resource bundles declared in all the FacesConfig configurations found.

### getFacesConfigExtensions

    public java.util.List getFacesConfigExtensions()

  Deprecated.
  Specified by:
    `getFacesConfigExtensions` in interface `org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager`
  Overrides:
    `getFacesConfigExtensions` in class `org.eclipse.jst.jsf.core.jsfappconfig.internal.AbstractJSFAppConfigManager`
  Returns:
    the list of faces config extensions declared in all FacesConfig configurations found